<?php

namespace Intuit\Response;

/**
 * This is a Customer Intuit Response to API calls
 */
class Customer extends Base
{
	protected const LOGKEY = 'RCI';

	public function __construct(object $response)
	{
		parent::__construct($response);

		if (object_get($response,'time'))
			unset($response->time);

		$this->_model = new \Intuit\Models\Customer((array)$response->Customer);
	}

	public function __get($key) {
		return $this->_model->__get($key);
	}
}